# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "onyums"
version = "0.1.9"
build = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "An Onion-service server using axum."
readme = "README.md"
keywords = [
    "tor",
    "http",
    "request",
    "server",
    "SOCKS",
]
categories = [
    "network-programming",
    "web-programming::http-client",
]
license = "MIT"
repository = "https://github.com/basic-automation/onyums"

[lib]
name = "onyums"
path = "src/lib.rs"

[dependencies.anyhow]
version = "1"

[dependencies.arti-client]
version = "0"
features = [
    "full",
    "static",
]

[dependencies.axum]
version = "0"
features = [
    "http2",
    "ws",
]

[dependencies.bytes]
version = "1"

[dependencies.futures]
version = "0"

[dependencies.h2]
version = "0"

[dependencies.http]
version = "1"

[dependencies.hyper]
version = "1"
features = ["full"]

[dependencies.hyper-util]
version = "0"
features = ["full"]

[dependencies.native-tls]
version = "0"

[dependencies.safelog]
version = "0"

[dependencies.tokio]
version = "1"
features = ["full"]

[dependencies.tokio-native-tls]
version = "0"

[dependencies.tokio-util]
version = "0"
features = ["full"]

[dependencies.tor-cell]
version = "0.22.0"
features = ["full"]

[dependencies.tor-hsservice]
version = "0"
features = ["full"]

[dependencies.tor-proto]
version = "0"
features = ["full"]

[dependencies.tor-rtcompat]
version = "0"
features = ["full"]

[dependencies.tower-service]
version = "0"

[dependencies.tracing-subscriber]
version = "0"
